Index: client_app/src/components/data/components/item_components/internship_component.js
===================================================================
--- client_app/src/components/data/components/item_components/internship_component.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,26 +1,0 @@
-import React from 'react';
-import {Header, List, Segment, Button} from 'semantic-ui-react';
-
-const Internships = (props) => {
-    return(
-        <Segment>
-            <Header as="h3">{props.title}</Header>
-            {props.type!=="USER" ? <Button primary>Edit</Button> : <span> </span>}
-            <Segment>{props.description}</Segment>
-            <Segment>
-                <Header as="h5" color="gray">{props.accountName}</Header>
-                <Header as="h4" color="blue">Owner Mail: {props.accountEmail}</Header>
-            </Segment>
-            <Segment>
-                <Header as="h3">Skills Trained:</Header>
-                <List>
-                    {props.skills.map(skill => {
-                        return <List.Item>{skill.name}</List.Item>
-                    })}
-                </List>
-            </Segment>
-        </Segment>
-    );
-}
-
-export default Internships;
Index: client_app/src/components/data/components/item_components/job_component.js
===================================================================
--- client_app/src/components/data/components/item_components/job_component.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,26 +1,0 @@
-import React from 'react';
-import {Header, List, Segment, Button} from 'semantic-ui-react';
-
-const Jobs = (props) => {
-    return(
-        <Segment>
-            <Header as="h3">{props.title}</Header>
-            {props.type!=="USER" ? <Button primary>Edit</Button> : <span> </span>}
-            <Segment>{props.description}</Segment>
-            <Segment>
-                <Header as="h5" color="gray">{props.accountName}</Header>
-                <Header as="h4" color="blue">Owner Mail: {props.accountEmail}</Header>
-            </Segment>
-            <Segment>
-                <Header as="h3">Skills Required:</Header>
-                <List>
-                    {props.skills.map(skill => {
-                        return <List.Item>{skill.name}</List.Item>
-                    })}
-                </List>
-            </Segment>
-        </Segment>
-    );
-}
-
-export default Jobs;
Index: client_app/src/components/data/components/item_components/project_component.js
===================================================================
--- client_app/src/components/data/components/item_components/project_component.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,27 +1,0 @@
-import React from 'react';
-import {Header, List, Segment, Button} from 'semantic-ui-react';
-
-const Projects = (props) => {
-
-    return(
-        <Segment>
-            <Header as="h3">{props.title}</Header>
-            {props.type!=="USER" ? <Button primary>Edit</Button> : <span> </span>}
-            <Segment>{props.description}</Segment>
-            <Segment>
-                <Header as="h5" color="gray">{props.accountName}</Header>
-                <Header as="h4" color="blue">Owner Mail: {props.accountEmail}</Header>
-            </Segment>
-            <Segment>
-                <Header as="h3">Skills Required:</Header>
-                <List>
-                    {props.skills.map(skill => {
-                        return <List.Item>{skill.name}</List.Item>
-                    })}
-                </List>
-            </Segment>
-        </Segment>
-    );
-}
-
-export default Projects;
Index: client_app/src/components/data/components/profiles/company_profile.js
===================================================================
--- client_app/src/components/data/components/profiles/company_profile.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,17 +1,0 @@
-import React from 'react';
-import {Container, Header, Table, Item, Button} from 'semantic-ui-react'
-import {Link} from "react-router-dom";
-
-const CompanyProfile = (props) =>{
-    return(
-        <Container textAlign="left">
-            <Header>Company:</Header>
-            <h3>{props.data.name}</h3>
-            <h2>E-mail: {props.data.email}</h2>
-            <h3>Address: {props.data.address.country} {props.data.address.city} {props.data.address.street}</h3>
-            <Button primary as={Link} to={"/profile/edit"}>Edit</Button>
-        </Container>
-    );
-}
-
-export default CompanyProfile;
Index: client_app/src/components/data/components/profiles/team_profile.js
===================================================================
--- client_app/src/components/data/components/profiles/team_profile.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,17 +1,0 @@
-import React from 'react';
-import {Container, Header, Table, Item, Button} from 'semantic-ui-react'
-import {Link} from "react-router-dom";
-
-const TeamProfile = (props) =>{
-    return(
-        <Container textAlign="left">
-            <Header>Team:</Header>
-            <h3>{props.data.name}</h3>
-            <h2>E-mail: {props.data.email}</h2>
-            <h3>Members: {props.data.members}</h3>
-            <Button primary as={Link} to={"/profile/edit"}>Edit</Button>
-        </Container>
-    );
-}
-
-export default TeamProfile;
Index: client_app/src/components/data/components/profiles/user_profile.js
===================================================================
--- client_app/src/components/data/components/profiles/user_profile.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,40 +1,0 @@
-import React from 'react';
-import {Container, Header, Table, Item, Button, Segment} from 'semantic-ui-react'
-import {Link} from "react-router-dom";
-
-const UserDetails = (props) =>{
-    return(
-        <Container textAlign="left">
-            <Header as="h1">Welcome</Header>
-            <Segment>
-                <Header as="h3">{props.data.name} {props.data.surname}</Header>
-                <Header as="h4" color="gray">Mail: {props.data.email}</Header>
-                <Table celled>
-                    <Table.Header>
-                        <Table.Row>
-                            <Table.HeaderCell>Retained Skills:</Table.HeaderCell>
-                            <Table.HeaderCell>Skills to Learn:</Table.HeaderCell>
-                        </Table.Row>
-                    </Table.Header>
-                    <Table.Body>
-                        <Table.Row>
-                            <Table.Cell active>
-                                {props.data.retained.map((value, index) => {
-                                    return <Item key={index}>{value.name}</Item>
-                                })}
-                            </Table.Cell>
-                            <Table.Cell active>
-                                {props.data.toLearn.map((value, index) => {
-                                    return <Item key={index}>{value.name}</Item>
-                                })}
-                            </Table.Cell>
-                        </Table.Row>
-                    </Table.Body>
-                </Table>
-            </Segment>
-            <Button icon="settings" primary as={Link} to={"/user/edit"} />
-        </Container>
-    );
-}
-
-export default UserDetails;
Index: client_app/src/components/data/components/work/company_internships.js
===================================================================
--- client_app/src/components/data/components/work/company_internships.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Internships from "../item_components/internship_component";
-
-
-const CompanyInternships = (props) =>{
-    if(props.userProfile.type==="COMPANY"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/internships/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.internships.map(item =>{
-                        return <Internships
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsTrained}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default CompanyInternships;
Index: client_app/src/components/data/components/work/company_jobs.js
===================================================================
--- client_app/src/components/data/components/work/company_jobs.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Jobs from '../item_components/job_component';
-
-
-const CompanyJobs = (props) =>{
-    if(props.userProfile.type==="COMPANY"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/job/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.jobs.map(item =>{
-                        return <Jobs
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default CompanyJobs;
Index: client_app/src/components/data/components/work/team_jobs.js
===================================================================
--- client_app/src/components/data/components/work/team_jobs.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Jobs from '../item_components/job_component';
-
-
-const TeamJobs = (props) =>{
-    if(props.userProfile.type==="TEAM"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/job/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.jobs.map(item =>{
-                        return <Jobs
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default TeamJobs;
Index: client_app/src/components/data/components/work/team_projects.js
===================================================================
--- client_app/src/components/data/components/work/team_projects.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,34 +1,0 @@
-import React from 'react';
-import {Link, Redirect} from 'react-router-dom';
-import { Container, Card, Button } from 'semantic-ui-react';
-import Projects from "../item_components/project_component";
-
-
-const TeamProjects = (props) =>{
-    if(props.userProfile.type==="TEAM"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <Button as={Link} to={"/project/add"} primary>Add</Button>
-                    <h1>Registered Jobs:</h1>
-                    {props.userProfile.projects.map(item =>{
-                        return <Projects
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default TeamProjects;
Index: client_app/src/components/data/components/work/user_internships.js
===================================================================
--- client_app/src/components/data/components/work/user_internships.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,32 +1,0 @@
-import {Container} from "semantic-ui-react";
-import {Redirect} from "react-router-dom";
-import React from "react";
-import Internships from "../item_components/internship_component";
-
-const UserInternships = (props) =>{
-    if(props.userProfile.type==="USER"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container>
-                <h1>Internships for you!</h1>
-                {props.userProfile.internships.map(item =>{
-                    return <Internships
-                        title={item.title}
-                        description={item.description}
-                        accountName={item.accountName}
-                        accountEmail={item.accountEmail}
-                        skills={item.skillsTrained}
-                        type={props.userProfile.type}
-                    />})
-                }
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default UserInternships;
Index: client_app/src/components/data/components/work/user_jobs.js
===================================================================
--- client_app/src/components/data/components/work/user_jobs.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,33 +1,0 @@
-import React from 'react';
-import { Redirect } from 'react-router-dom';
-import { Container, Card } from 'semantic-ui-react';
-import Jobs from '../item_components/job_component';
-
-
-const UserJobs = (props) =>{
-    if(props.userProfile.type==="USER"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container textAlign="left">
-                    <h1>Jobs for you!</h1>
-                    {props.userProfile.jobs.map(item =>{
-                        return <Jobs
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />
-                    })}
-                </Container>
-            );
-        }
-    }
-
-    return (
-      <Redirect to={"/login"}/>
-    );
-}
-
-export default UserJobs;
Index: client_app/src/components/data/components/work/user_projects.js
===================================================================
--- client_app/src/components/data/components/work/user_projects.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,32 +1,0 @@
-import {Card, Container} from "semantic-ui-react";
-import {Redirect} from "react-router-dom";
-import React from "react";
-import Projects from "../item_components/project_component";
-
-const UserProjects = (props) =>{
-    if(props.userProfile.type==="USER"){
-        if(props.userProfile.email!=null){
-            return(
-                <Container>
-                    <h1>Projects for you!</h1>
-                    {props.userProfile.projects.map(item =>{
-                        return <Projects
-                            title={item.title}
-                            description={item.description}
-                            accountName={item.accountName}
-                            accountEmail={item.accountEmail}
-                            skills={item.skillsRequired}
-                            type={props.userProfile.type}
-                        />})
-                    }
-                </Container>
-            );
-        }
-    }
-
-    return (
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default UserProjects;
Index: client_app/src/components/data/profile.js
===================================================================
--- client_app/src/components/data/profile.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ 	(revision )
@@ -1,46 +1,0 @@
-import React from 'react';
-import UserDetails from "./components/profiles/user_profile";
-import { Redirect } from "react-router-dom";
-import CompanyProfile from "./components/profiles/company_profile";
-import TeamProfile from "./components/profiles/team_profile";
-
-const Profile = (props) => {
-
-    if(props.userProfile.type==="USER"){
-        return (
-          <UserDetails data={{
-               email: props.userProfile.email,
-               name: props.userProfile.name,
-               surname: props.userProfile.surname,
-               retained: props.userProfile.retained,
-               toLearn: props.userProfile.toLearn
-          }}/>
-        );
-    }
-
-    if(props.userProfile.type==="COMPANY"){
-        return (
-            <CompanyProfile data={{
-                email: props.userProfile.email,
-                name: props.userProfile.name,
-                address: props.userProfile.address
-            }}/>
-        );
-    }
-
-    if(props.userProfile.type==="TEAM"){
-        return (
-            <TeamProfile data={{
-                email: props.userProfile.email,
-                name: props.userProfile.name,
-                members: props.userProfile.members
-            }}/>
-        );
-    }
-
-    return(
-        <Redirect to={"/login"}/>
-    );
-}
-
-export default Profile;
Index: client_app/src/components/item_components/internship_component.js
===================================================================
--- client_app/src/components/item_components/internship_component.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/item_components/internship_component.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,26 @@
+import React from 'react';
+import {Header, List, Segment, Button} from 'semantic-ui-react';
+
+const Internships = (props) => {
+    return(
+        <Segment>
+            <Header as="h3">{props.title}</Header>
+            {props.type!=="USER" ? <Button primary>Edit</Button> : <span> </span>}
+            <Segment>{props.description}</Segment>
+            <Segment>
+                <Header as="h5" color="gray">{props.accountName}</Header>
+                <Header as="h4" color="blue">Owner Mail: {props.accountEmail}</Header>
+            </Segment>
+            <Segment>
+                <Header as="h3">Skills Trained:</Header>
+                <List>
+                    {props.skills.map(skill => {
+                        return <List.Item>{skill.name}</List.Item>
+                    })}
+                </List>
+            </Segment>
+        </Segment>
+    );
+}
+
+export default Internships;
Index: client_app/src/components/item_components/job_component.js
===================================================================
--- client_app/src/components/item_components/job_component.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/item_components/job_component.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,26 @@
+import React from 'react';
+import {Header, List, Segment, Button} from 'semantic-ui-react';
+
+const Jobs = (props) => {
+    return(
+        <Segment>
+            <Header as="h3">{props.title}</Header>
+            {props.type!=="USER" ? <Button primary>Edit</Button> : <span> </span>}
+            <Segment>{props.description}</Segment>
+            <Segment>
+                <Header as="h5" color="gray">{props.accountName}</Header>
+                <Header as="h4" color="blue">Owner Mail: {props.accountEmail}</Header>
+            </Segment>
+            <Segment>
+                <Header as="h3">Skills Required:</Header>
+                <List>
+                    {props.skills.map(skill => {
+                        return <List.Item>{skill.name}</List.Item>
+                    })}
+                </List>
+            </Segment>
+        </Segment>
+    );
+}
+
+export default Jobs;
Index: client_app/src/components/item_components/project_component.js
===================================================================
--- client_app/src/components/item_components/project_component.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/item_components/project_component.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,27 @@
+import React from 'react';
+import {Header, List, Segment, Button} from 'semantic-ui-react';
+
+const Projects = (props) => {
+
+    return(
+        <Segment>
+            <Header as="h3">{props.title}</Header>
+            {props.type!=="USER" ? <Button primary>Edit</Button> : <span> </span>}
+            <Segment>{props.description}</Segment>
+            <Segment>
+                <Header as="h5" color="gray">{props.accountName}</Header>
+                <Header as="h4" color="blue">Owner Mail: {props.accountEmail}</Header>
+            </Segment>
+            <Segment>
+                <Header as="h3">Skills Required:</Header>
+                <List>
+                    {props.skills.map(skill => {
+                        return <List.Item>{skill.name}</List.Item>
+                    })}
+                </List>
+            </Segment>
+        </Segment>
+    );
+}
+
+export default Projects;
Index: client_app/src/components/main/App.js
===================================================================
--- client_app/src/components/main/App.js	(revision 58ceab3949d633b95ac5b58a72899f4bc99854b2)
+++ client_app/src/components/main/App.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -2,16 +2,16 @@
 import {BrowserRouter as Router, Route, Redirect} from 'react-router-dom';
 import Login from '../login/login';
-import Profile from "../data/profile";
+import Profile from "../profiles/profile";
 import 'semantic-ui-css/semantic.min.css';
 import HeaderComp from '../template/header';
 import './App.css';
 import UserLogin from "../../repository/login_repo";
-import UserJobs from "../data/components/work/user_jobs";
-import UserInternships from "../data/components/work/user_internships";
-import UserProjects from "../data/components/work/user_projects";
-import CompanyJobs from "../data/components/work/company_jobs";
-import TeamProjects from "../data/components/work/team_projects";
-import TeamJobs from "../data/components/work/team_jobs";
-import CompanyInternships from "../data/components/work/company_internships";
+import UserJobs from "../work/user_jobs";
+import UserInternships from "../work/user_internships";
+import UserProjects from "../work/user_projects";
+import CompanyJobs from "../work/company_jobs";
+import TeamProjects from "../work/team_projects";
+import TeamJobs from "../work/team_jobs";
+import CompanyInternships from "../work/company_internships";
 
 class App extends Component{
Index: client_app/src/components/profiles/company_profile.js
===================================================================
--- client_app/src/components/profiles/company_profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/profiles/company_profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,17 @@
+import React from 'react';
+import {Container, Header, Table, Item, Button} from 'semantic-ui-react'
+import {Link} from "react-router-dom";
+
+const CompanyProfile = (props) =>{
+    return(
+        <Container textAlign="left">
+            <Header>Company:</Header>
+            <h3>{props.data.name}</h3>
+            <h2>E-mail: {props.data.email}</h2>
+            <h3>Address: {props.data.address.country} {props.data.address.city} {props.data.address.street}</h3>
+            <Button primary as={Link} to={"/profile/edit"}>Edit</Button>
+        </Container>
+    );
+}
+
+export default CompanyProfile;
Index: client_app/src/components/profiles/profile.js
===================================================================
--- client_app/src/components/profiles/profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/profiles/profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,46 @@
+import React from 'react';
+import UserDetails from "./user_profile";
+import { Redirect } from "react-router-dom";
+import CompanyProfile from "./company_profile";
+import TeamProfile from "./team_profile";
+
+const Profile = (props) => {
+
+    if(props.userProfile.type==="USER"){
+        return (
+          <UserDetails data={{
+               email: props.userProfile.email,
+               name: props.userProfile.name,
+               surname: props.userProfile.surname,
+               retained: props.userProfile.retained,
+               toLearn: props.userProfile.toLearn
+          }}/>
+        );
+    }
+
+    if(props.userProfile.type==="COMPANY"){
+        return (
+            <CompanyProfile data={{
+                email: props.userProfile.email,
+                name: props.userProfile.name,
+                address: props.userProfile.address
+            }}/>
+        );
+    }
+
+    if(props.userProfile.type==="TEAM"){
+        return (
+            <TeamProfile data={{
+                email: props.userProfile.email,
+                name: props.userProfile.name,
+                members: props.userProfile.members
+            }}/>
+        );
+    }
+
+    return(
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default Profile;
Index: client_app/src/components/profiles/team_profile.js
===================================================================
--- client_app/src/components/profiles/team_profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/profiles/team_profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,17 @@
+import React from 'react';
+import {Container, Header, Table, Item, Button} from 'semantic-ui-react'
+import {Link} from "react-router-dom";
+
+const TeamProfile = (props) =>{
+    return(
+        <Container textAlign="left">
+            <Header>Team:</Header>
+            <h3>{props.data.name}</h3>
+            <h2>E-mail: {props.data.email}</h2>
+            <h3>Members: {props.data.members}</h3>
+            <Button primary as={Link} to={"/profile/edit"}>Edit</Button>
+        </Container>
+    );
+}
+
+export default TeamProfile;
Index: client_app/src/components/profiles/user_profile.js
===================================================================
--- client_app/src/components/profiles/user_profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/profiles/user_profile.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,40 @@
+import React from 'react';
+import {Container, Header, Table, Item, Button, Segment} from 'semantic-ui-react'
+import {Link} from "react-router-dom";
+
+const UserDetails = (props) =>{
+    return(
+        <Container textAlign="left">
+            <Header as="h1">Welcome</Header>
+            <Segment>
+                <Header as="h3">{props.data.name} {props.data.surname}</Header>
+                <Header as="h4" color="gray">Mail: {props.data.email}</Header>
+                <Table celled>
+                    <Table.Header>
+                        <Table.Row>
+                            <Table.HeaderCell>Retained Skills:</Table.HeaderCell>
+                            <Table.HeaderCell>Skills to Learn:</Table.HeaderCell>
+                        </Table.Row>
+                    </Table.Header>
+                    <Table.Body>
+                        <Table.Row>
+                            <Table.Cell active>
+                                {props.data.retained.map((value, index) => {
+                                    return <Item key={index}>{value.name}</Item>
+                                })}
+                            </Table.Cell>
+                            <Table.Cell active>
+                                {props.data.toLearn.map((value, index) => {
+                                    return <Item key={index}>{value.name}</Item>
+                                })}
+                            </Table.Cell>
+                        </Table.Row>
+                    </Table.Body>
+                </Table>
+            </Segment>
+            <Button icon="settings" primary as={Link} to={"/user/edit"} />
+        </Container>
+    );
+}
+
+export default UserDetails;
Index: client_app/src/components/work/company_internships.js
===================================================================
--- client_app/src/components/work/company_internships.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/company_internships.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Internships from "../item_components/internship_component";
+
+
+const CompanyInternships = (props) =>{
+    if(props.userProfile.type==="COMPANY"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/internships/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.internships.map(item =>{
+                        return <Internships
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsTrained}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default CompanyInternships;
Index: client_app/src/components/work/company_jobs.js
===================================================================
--- client_app/src/components/work/company_jobs.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/company_jobs.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Jobs from '../item_components/job_component';
+
+
+const CompanyJobs = (props) =>{
+    if(props.userProfile.type==="COMPANY"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/job/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default CompanyJobs;
Index: client_app/src/components/work/team_jobs.js
===================================================================
--- client_app/src/components/work/team_jobs.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/team_jobs.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Jobs from '../item_components/job_component';
+
+
+const TeamJobs = (props) =>{
+    if(props.userProfile.type==="TEAM"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/job/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default TeamJobs;
Index: client_app/src/components/work/team_projects.js
===================================================================
--- client_app/src/components/work/team_projects.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/team_projects.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Projects from "../item_components/project_component";
+
+
+const TeamProjects = (props) =>{
+    if(props.userProfile.type==="TEAM"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/project/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.projects.map(item =>{
+                        return <Projects
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default TeamProjects;
Index: client_app/src/components/work/user_internships.js
===================================================================
--- client_app/src/components/work/user_internships.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/user_internships.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,32 @@
+import {Container} from "semantic-ui-react";
+import {Redirect} from "react-router-dom";
+import React from "react";
+import Internships from "../item_components/internship_component";
+
+const UserInternships = (props) =>{
+    if(props.userProfile.type==="USER"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container>
+                <h1>Internships for you!</h1>
+                {props.userProfile.internships.map(item =>{
+                    return <Internships
+                        title={item.title}
+                        description={item.description}
+                        accountName={item.accountName}
+                        accountEmail={item.accountEmail}
+                        skills={item.skillsTrained}
+                        type={props.userProfile.type}
+                    />})
+                }
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default UserInternships;
Index: client_app/src/components/work/user_jobs.js
===================================================================
--- client_app/src/components/work/user_jobs.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/user_jobs.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,33 @@
+import React from 'react';
+import { Redirect } from 'react-router-dom';
+import { Container, Card } from 'semantic-ui-react';
+import Jobs from '../item_components/job_component';
+
+
+const UserJobs = (props) =>{
+    if(props.userProfile.type==="USER"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <h1>Jobs for you!</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+      <Redirect to={"/login"}/>
+    );
+}
+
+export default UserJobs;
Index: client_app/src/components/work/user_projects.js
===================================================================
--- client_app/src/components/work/user_projects.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
+++ client_app/src/components/work/user_projects.js	(revision c9fa4744c6fa9e0c5c3a507ae7801fa5182f4e19)
@@ -0,0 +1,32 @@
+import {Card, Container} from "semantic-ui-react";
+import {Redirect} from "react-router-dom";
+import React from "react";
+import Projects from "../item_components/project_component";
+
+const UserProjects = (props) =>{
+    if(props.userProfile.type==="USER"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container>
+                    <h1>Projects for you!</h1>
+                    {props.userProfile.projects.map(item =>{
+                        return <Projects
+                            title={item.title}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />})
+                    }
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default UserProjects;
